@charset "utf-8";

.top-news {
  position: relative;
  background: #FFFFFF;
    margin-top: -20px;
  border-radius: 20px 20px 0 0;
  padding: 120px 0 140px;
}

.top-news__wrap {
  display: grid;
  gap: 60px;
  grid-template-columns: repeat(1, 1fr);
}
@media screen and (min-width: 900px) {
.top-news__wrap {
   gap: min(calc(133 / 1366 * 100vw), 133px);
  grid-template-columns: max-content 1fr;
  }
  .top-insta__wrap {
    grid-template-columns: repeat(1, 1fr);
     gap: 60px;
}
}

.top-news__btn {
      width: fit-content;
      display: flex;
    align-items: center;
    gap: 10px;
    padding-bottom: 5px;
    border-bottom: 1px solid rgba(35, 139, 139, 0.2);
  
  &::after {
    content: "";
    mask-repeat: no-repeat;
    mask-size: contain;
    mask-image: url(../images/icon-arrow.svg);
    width: 24px;
    height: 24px;
    mask-position: center center;
    background: #208B8B;
    transition: background 0.3s;
}
  
  &:hover {
    opacity: 0.7;
  }
}

.news__wrap a{
  width: 100%;
 padding: 24px 30px 24px 0;
  border-top: 1px solid rgba(35, 139, 139, 0.2);
  position: relative;
  
  &:last-of-type {
    border-bottom: 1px solid rgba(35, 139, 139, 0.2);
  }

  &::before {
    content: "";
    position: absolute;
    width: 4px;
    height: 8px;
    top: 50%;
    transform: translateY(-50%);
    right: 12px;
    background: url('../images/arrow-news.svg') center / contain no-repeat;
    flex-shrink: 0;
  }

  &:hover {
    background: rgba(35, 139, 139, 0.2);
  }
}


.news__body {
  display: grid;
  gap: 13px;
  grid-template-columns: repeat(1, 1fr);
  align-items: center;
}
@media screen and (min-width: 768px) {
  .news__body {
    grid-template-columns: 80px 1fr;
  }
}

@media screen and (min-width: 768px) {
  .news__meta {
    display: grid;
    gap: 49px;
    grid-template-columns: 86px 1fr;
    align-items: center;
  }
}
.detail__meta {
      display: grid;
    gap: 16px;
    grid-template-columns: 86px 1fr;
    align-items: center;
}
.news__meta-sp {
  display: flex;
  gap: 20px;
  align-items: center;
}

.news__date {
  font-weight: 400;
  font-size: 14px;
  letter-spacing: 0;
}

.news__title {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  overflow: hidden;
  font-size: 14px;
  font-weight: 400;
  line-height: calc(23.8 / 16);
  letter-spacing: 0;
  text-decoration: underline;
}
@media screen and (min-width: 768px) {
  .news__title {
    -webkit-line-clamp: 1;
  }
}


.news__list .webgene-pagination {
  margin: 70px 0 55px;
}